package com.ssj.bean.weixin.user.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "tb_user_count")
public class UserCount extends BaseEntity {

    /**
     *
     */
    private static final long serialVersionUID = -3374352383783464645L;

    /**
     * 对应userid
     */
    private String userId;

    private String vipId;
    /**
     * 1 在馆老师提交时间。
     * 2 学生模糊更替次数，
     * 3 学生不全更替次数
     * 4 家长查看作业反馈报告时间，
     * 5 家长错题本打开的时间，
     * 6 家长学习成长报告周报、
     * 7 家长学习成长报告月报打开的时间
     * 8 家长学习成长报告学情打开的时间
     */
    private int type;
    /**
     * 次数
     */
    private int num;

    private Date createTime;

    private String libId;



    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getNum() {
        return num;
    }

    public void setNum(int num) {
        this.num = num;
    }
    @Column(updatable = false )
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }
}
